Bug 974022 - Incorrect example 'Exporting All Metrics Definitions for a Linux Server'
Incorrect example 'Exporting All Metrics Definitions for a Linux Server'
Status: CLOSED CURRENTRELEASE
Product: JBoss Operations Network
Classification: JBoss
Component: Documentation (Show other bugs)
JON 3.1.0
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Deon Ballard
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-13 06:00 EDT by Filip Brychta
Modified: 2014-10-23 08:29 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-24 12:32:06 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Filip Brychta 2013-06-13 06:00:08 EDT
Document URL: 
https://access.redhat.com/site/documentation/en-US/JBoss_Operations_Network/3.1/html/Dev_Writing_JON_Command-Line_Scripts/monitoring.html#exporting-data

Section Number and Name: 
Example 22. Exporting All Metrics Definitions for a Linux Server

Describe the issue: 
Command MeasurementDataManager.findDataForResource(resources.get(0).id,[mdef.id],start,end,"") throws java.lang.IllegalArgumentException: Number of buckets must be > 0

Suggestions for improvement:
Correct command - MeasurementDataManager.findDataForResource(resources.get(0).id,[mdef.id],start,end,1) 

Additional information: 
This issue has appeared on RHQ Version: 4.8.0-SNAPSHOT.

Related to bug 974017

Note You need to log in before you can comment on or make changes to this bug.